Package io.prestosql.jdbc

## Class NotImplementedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - java.sql.SQLNonTransientException
        - - io.prestosql.jdbc.NotImplementedException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

    public class NotImplementedException
    extends SQLNonTransientException

Thrown when a required JDBC method is not yet implemented.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`NotImplementedException​(String reason)`
`NotImplementedException​(String clazz, String method)`

### Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### NotImplementedException

    public NotImplementedException​(String reason)

#### NotImplementedException

    public NotImplementedException​(String clazz,
                                   String method)